%define upstream_name Net-Google
%define upstream_version 1.0.1

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 13
Summary:	Simple OOP-ish interface to the Google SOAP API
License:	GPL or Artistic
Group:		Development/Perl
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2
URL:		http://search.cpan.org/dist/%{upstream_name}

BuildRequires:  perl(Module::Build)
BuildArch:	noarch

%description
Provides a simple OOP-ish interface to the Google SOAP API

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Build.PL installdirs=vendor
./Build

%check
# checking requires a Google API key

%install
./Build install destdir=%{buildroot}

%files
%doc Changes
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.1-13.mga6
+ Revision: 1031077
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.0.1-12.mga6
+ Revision: 947588
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-11.mga5
+ Revision: 738943
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-10.mga5
+ Revision: 685656
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-9.mga4
+ Revision: 513430
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-8.mga3
+ Revision: 370624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.0.1-7.mga1
+ Revision: 30905
- mageia rebuild
- imported package perl-Net-Google


* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.0.1-7mdv2010.0
+ Revision: 430510
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.0.1-6mdv2009.0
+ Revision: 241773
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-4mdv2008.0
+ Revision: 25450
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.0.1-3mdv2008.0
+ Revision: 25277
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Wed Jan 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1mdk
- New release 1.0
- spec cleanup
- better URL
- fix directory ownership
- switch to Module::Build

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.62-1mdk
- initial Mandriva package

